# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dockerploy/version'

Gem::Specification.new do |spec|
  spec.name          = 'dockerploy'
  spec.version       = Dockerploy::VERSION
  spec.authors       = ['Sunjin Lee']
  spec.email         = ['styner32@gmail.com']
  spec.description   = 'Deploy dockerized an application'
  spec.summary       = 'Deploy dockerized an application'
  spec.homepage      = 'https://github.com/viki-org/dockerploy'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split("\n")
  spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(/^spec\//)
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 1.9.3'
  spec.add_dependency 'thor', '~> 0.19'
  spec.add_dependency 'mono_logger', '~> 1.1.0'
  spec.add_dependency 'net-ssh', '~> 2.6'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'fakefs', '~> 0.6'
end
